# struct KKeyEntry | Accelerator information, similar to an action. More...
Internal Use Only
Definition | `#include <kaccel.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- void operator= (const KKeyEntry& e)
- KKeyEntry ()
- KKeyEntry (const KKeyEntry& e)

#### Public Members

- int aCurrentKeyCode
- int aDefaultKeyCode
- int aConfigKeyCode
- bool bConfigurable
- bool bEnabled
- int aAccelId
- const QObject *receiver
- const char *member
- QString descr
- int menuId
- QPopupMenu *menu

## Detailed Description

Accelerator information, similar to an action.

It is used internally by KAccel.

int aCurrentKeyCode | ### aCurrentKeyCode

int aDefaultKeyCode | ### aDefaultKeyCode

int aConfigKeyCode | ### aConfigKeyCode

bool bConfigurable | ### bConfigurable

bool bEnabled | ### bEnabled

int aAccelId | ### aAccelId

const QObject * receiver | ### receiver

const char * member | ### member

QString descr | ### descr

int menuId | ### menuId

QPopupMenu * menu | ### menu

void operator= (const KKeyEntry& e) | ### operator=

KKeyEntry () | ### KKeyEntry

KKeyEntry (const KKeyEntry& e) | ### KKeyEntry

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:34:58 2001, using kdoc 2.0a53.